Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/glfw: new aport

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Fri, 19 Aug 2016 11:58:38 -0400

http://www.glfw.org/
Multi-platform library for OpenGL and Vulkan application development
---
 testing/glfw/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/glfw/APKBUILD
diff --git a/testing/glfw/APKBUILD b/testing/glfw/APKBUILD
new file mode 100644
index 0000000..5ec631e
--- /dev/null
+++ b/testing/glfw/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Daniel Sabogal <dsabogalcc_at_gmail.com>
+# Maintainer:
+pkgname=glfw
+pkgver=3.2
+pkgrel=0
+pkgdesc="Multi-platform library for OpenGL and Vulkan application development"
+url="http://www.glfw.org/"
+arch="all"
+license="zlib"
+depends=""
+depends_dev="libxinerama-dev linux-headers mesa-dev"
+makedepends="$depends_dev cmake libx11-dev libxcursor-dev libxrandr-dev"
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/glfw/$pkgname/archive/$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	cmake . \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DBUILD_SHARED_LIBS=ON \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="a4a7248d771717a84c8997b7b712cd57  glfw-3.2.tar.gz"
+sha256sums="cb3aab46757981a39ae108e5207a1ecc4378e68949433a2b040ce2e17d8f6aa6  glfw-3.2.tar.gz"
+sha512sums="55982cba8b6605fe5489f7396fb5101f3eedd121d13a51ab8178e4bd2c8b348a8b7869fcd00dbefe5725b5c04942318c2a99f13832da4bfa74db42ab2812f3a2  glfw-3.2.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 19 2016 - 11:58:38 GMT